package com.iamberry.wechat.tools;

import java.util.Date;
import java.util.Random;

/**
 * 订单工具类
 * @author Administrator
 */
public class OrderNOUtil {
	private static char[] chars = {
		'G', 'I', 'J', 'K', 'L', 'M', 'N', 'U', 'V', 'W', 'Y', 'Z',
		'P', 'Q', 'A', 'B', 'C', 'D', 'E', 'F', 'R', 'S', 'T' 
		};
	public static Random random = new Random();
	/**
	 * 产生一个订单编号
	 * @param id :为当前订单所属 用户id
	 */
	public static String createOrderCode(Integer id) {
		StringBuilder code = new StringBuilder();
		//产生基本数据
		code = code.append(StaticInfo.dateFormat.format(new Date()));
		//避免同一秒内，操作多次
		code.append(chars[random.nextInt(chars.length)]);
		//避免多用户操作
		code.append(id);
		code.append(chars[random.nextInt(chars.length)]);
		return code.toString();
	}
}
